echo off
rem takes 1 parameter region name
rem example  call doagg SP
echo running DoAgg %1

rem create GEMPACK Text file with 1 header containing %1 region name
rem delete output files  (note: ">nul 2>&1" hides screen output) see https://ss64.com/nt/syntax-redirection.html
del thisreg.txt >nul 2>&1
echo 1 Strings Length 2 Header "TREG" LongName "Set thisreg special region"; >thisreg.txt
echo %1>>thisreg.txt
rem echo command is explained at https://ss64.com/nt/echo.html
 
rem turn GEMPACK Text file into HAR
txt2har thisreg.txt thisreg.har >txt2har.log
if errorlevel 1 goto error

rem Create REGAGG.har, containing a region mapping. This maps %1 to itself, and all other regions to "RBR" (rest of Brazil)
gemsim -cmf mkagg.cmf >nul 
if errorlevel 1 goto error

REM make aggsupp.har file for input to AggHAR, and Aggsets.har
gemsim -cmf prepare.cmf >nul 
if errorlevel 1 goto error

REM Run AggHAR to make aggmod.har
del aggmod.har >nul 2>&1
AggHAR inputs\premod.har aggmod.har aggsupp.har -p >agghar.log
if errorlevel 1 goto error

rem copy/rename model data files and put them in aggdata folder
md aggdata >nul 2>&1
copy aggsets.har aggdata\%1_AGGSETS.HAR 1>nul
copy aggmod.har aggdata\%1_DATA1.HAR 1>nul

echo BATCH JOB DoAgg %1 SUCCESSFUL
exit/b

:error
echo ###### ERROR: BATCH JOB DoAgg FAILED #####
echo Check log file; most recent is listed last
dir/od *.log
echo press Ctrl-C to terminate job 

pause
:endbat
