echo off
echo running DoReg %1
rem %1 is region
rem example:      doreg RS

rem delete output files  (note: ">nul 2>&1" hides screen output)
del *.har   >nul 2>&1
del *.log   >nul 2>&1
del *.xls   >nul 2>&1

rem prepare aggregated database for this region
call doagg %1
rem run simulation for 104 sectors
call runterm %1	Acucar
call runterm %1	AduboFert
call runterm %1	AeroEmbOut
call runterm %1	AguaEsgRec
call runterm %1	AlgFibTemp
call runterm %1	AlugEfet
call runterm %1	AlugImp
call runterm %1	AluNImob
call runterm %1	ArrozBenef
call runterm %1	ArrozTriCer
call runterm %1	ArSAuxTrans
call runterm %1	ArtBorracha
call runterm %1	ArtCimen
call runterm %1	ArtPlastico
call runterm %1	ArtTexDom
call runterm %1	ArtVestAces
call runterm %1	AutoCamUti
call runterm %1	AvesOvos
call runterm %1	Bebidas
call runterm %1	BovOutAni
call runterm %1	CafeBenef
call runterm %1	CafeGrao
call runterm %1	CalcCouro
call runterm %1	CamOnibus
call runterm %1	Canadeacu
call runterm %1	CarneAves
call runterm %1	CarneBoiOut
call runterm %1	CarneSuino
call runterm %1	CarvMinera
call runterm %1	Celulose
call runterm %1	Cimento
call runterm %1	ComAtaVar
call runterm %1	CombAviac
call runterm %1	ComEletro
call runterm %1	Condomin
call runterm %1	ConsFruLeg
call runterm %1	CorreioEnt
call runterm %1	DefAgrDesinf
call runterm %1	DesSistOut
call runterm %1	DieselComb
call runterm %1	Edificacoes
call runterm %1	EducPriv
call runterm %1	EducPubl
call runterm %1	EletGasOut
call runterm %1	Eltrodom
call runterm %1	EquTesMed
call runterm %1	EtanolBio
call runterm %1	FerroGussa
call runterm %1	FioFibraTex
call runterm %1	Fumo
call runterm %1	Gasoalcool
call runterm %1	IndDiversas
call runterm %1	InfraEstr
call runterm %1	IntFinaSeg
call runterm %1	Laranja
call runterm %1	LeiteResPas
call runterm %1	LeiteVacOut
call runterm %1	LivrJorRevis
call runterm %1	ManComp
call runterm %1	ManuRep
call runterm %1	MaqEquiInf
call runterm %1	MaqMatElet
call runterm %1	MarExtMin
call runterm %1	MatEleCom
call runterm %1	MilhoGrao
call runterm %1	MinerFerro
call runterm %1	MinerNMet
call runterm %1	MinMetNFer
call runterm %1	Moveis
call runterm %1	NaftasPetro
call runterm %1	OleoComb
call runterm %1	OleoGord
call runterm %1	OrgPatrSind
call runterm %1	OutAdmin
call runterm %1	OutMaq
call runterm %1	OutPerman
call runterm %1	OutrAlimen
call runterm %1	OutRefPetro
call runterm %1	OutrLaticin
call runterm %1	OutTempor
call runterm %1	PAcoNFer
call runterm %1	PapelEmbalag
call runterm %1	PecasAutom
call runterm %1	PeDesenv
call runterm %1	PerfSabLimp
call runterm %1	PescAgric
call runterm %1	PescIndus
call runterm %1	PetrGasServ
call runterm %1	PrMetNFer
call runterm %1	ProdExplSilv
call runterm %1	ProdFarm
call runterm %1	ProdMandei
call runterm %1	ProdMetal
call runterm %1	ProdTrigMan
call runterm %1	PrQuiIno
call runterm %1	PrQuimDiv
call runterm %1	PrQuimOrg
call runterm %1	PubOutTec
call runterm %1	RacoesAnim
call runterm %1	ResElasFib
call runterm %1	SaudPrivada
call runterm %1	SaudPublica
call runterm %1	SemiLamAco
call runterm %1	SerAdmPub
call runterm %1	SerAlimen
call runterm %1	SerAlojam
call runterm %1	SerArqEng
call runterm %1	SerArtCultur
call runterm %1	SerCineRad
call runterm %1	SerImpres
call runterm %1	SerJuridTab
call runterm %1	ServContr
call runterm %1	ServPeDom
call runterm %1	ServPrevid
call runterm %1	ServVigSeg
call runterm %1	SojaGrao
call runterm %1	Suinos
call runterm %1	Tecidos
call runterm %1	TelecomOut
call runterm %1	TinVerEsm
call runterm %1	TransAere
call runterm %1	TransPass
call runterm %1	TranspCarga
call runterm %1	TratorOut
call runterm %1	VidCerm

rem combine all the sector results into one file: combined.har

cmbhar -sti cmbhar.sti >cmbhar.log
if errorlevel 1 goto error

rem create Excel version of combined.har
har2xls  combined.har  combined.xls /B >nul
if errorlevel 1 goto error

md outputs  2>nul
rem copy to outputs folder, renaming after this region
copy combined.har outputs\%1_combined.har 1>nul
copy combined.xls outputs\%1_combined.xls 1>nul
if errorlevel 1 goto error

echo BATCH JOB DoReg %1 SUCCESSFUL

exit/b

:error
echo ###### ERROR: BATCH JOB DoReg FAILED #####
dir/od *.log
echo Check log file; most recent is listed last
echo press Ctrl-C to terminate job 

pause
:endbat
